### YamlMime:ManagedReference
items:
- uid: Voile.Input.KeyInputAction
  commentId: T:Voile.Input.KeyInputAction
  id: KeyInputAction
  parent: Voile.Input
  children:
  - Voile.Input.KeyInputAction.#ctor(Voile.Input.KeyboardKey)
  - Voile.Input.KeyInputAction.IsDown(Voile.Input.InputSystem)
  - Voile.Input.KeyInputAction.IsPressed(Voile.Input.InputSystem)
  - Voile.Input.KeyInputAction.IsReleased(Voile.Input.InputSystem)
  - Voile.Input.KeyInputAction.Key
  langs:
  - csharp
  - vb
  name: KeyInputAction
  nameWithType: KeyInputAction
  fullName: Voile.Input.KeyInputAction
  type: Class
  source:
    remote:
      path: Voile/Source/Input/InputAction.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: KeyInputAction
    path: Source/Input/InputAction.cs
    startLine: 9
  assemblies:
  - Voile
  namespace: Voile.Input
  syntax:
    content: 'public class KeyInputAction : InputAction'
    content.vb: Public Class KeyInputAction Inherits InputAction
  inheritance:
  - System.Object
  - Voile.Input.InputAction
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.Input.KeyInputAction.Key
  commentId: P:Voile.Input.KeyInputAction.Key
  id: Key
  parent: Voile.Input.KeyInputAction
  langs:
  - csharp
  - vb
  name: Key
  nameWithType: KeyInputAction.Key
  fullName: Voile.Input.KeyInputAction.Key
  type: Property
  source:
    remote:
      path: Voile/Source/Input/InputAction.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Key
    path: Source/Input/InputAction.cs
    startLine: 11
  assemblies:
  - Voile
  namespace: Voile.Input
  syntax:
    content: public KeyboardKey Key { get; }
    parameters: []
    return:
      type: Voile.Input.KeyboardKey
    content.vb: Public ReadOnly Property Key As KeyboardKey
  overload: Voile.Input.KeyInputAction.Key*
- uid: Voile.Input.KeyInputAction.#ctor(Voile.Input.KeyboardKey)
  commentId: M:Voile.Input.KeyInputAction.#ctor(Voile.Input.KeyboardKey)
  id: '#ctor(Voile.Input.KeyboardKey)'
  parent: Voile.Input.KeyInputAction
  langs:
  - csharp
  - vb
  name: KeyInputAction(KeyboardKey)
  nameWithType: KeyInputAction.KeyInputAction(KeyboardKey)
  fullName: Voile.Input.KeyInputAction.KeyInputAction(Voile.Input.KeyboardKey)
  type: Constructor
  source:
    remote:
      path: Voile/Source/Input/InputAction.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/Input/InputAction.cs
    startLine: 13
  assemblies:
  - Voile
  namespace: Voile.Input
  syntax:
    content: public KeyInputAction(KeyboardKey keyboardKey)
    parameters:
    - id: keyboardKey
      type: Voile.Input.KeyboardKey
    content.vb: Public Sub New(keyboardKey As KeyboardKey)
  overload: Voile.Input.KeyInputAction.#ctor*
  nameWithType.vb: KeyInputAction.New(KeyboardKey)
  fullName.vb: Voile.Input.KeyInputAction.New(Voile.Input.KeyboardKey)
  name.vb: New(KeyboardKey)
- uid: Voile.Input.KeyInputAction.IsDown(Voile.Input.InputSystem)
  commentId: M:Voile.Input.KeyInputAction.IsDown(Voile.Input.InputSystem)
  id: IsDown(Voile.Input.InputSystem)
  parent: Voile.Input.KeyInputAction
  langs:
  - csharp
  - vb
  name: IsDown(InputSystem)
  nameWithType: KeyInputAction.IsDown(InputSystem)
  fullName: Voile.Input.KeyInputAction.IsDown(Voile.Input.InputSystem)
  type: Method
  source:
    remote:
      path: Voile/Source/Input/InputAction.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IsDown
    path: Source/Input/InputAction.cs
    startLine: 17
  assemblies:
  - Voile
  namespace: Voile.Input
  example: []
  syntax:
    content: public override bool IsDown(InputSystem inputHandler)
    parameters:
    - id: inputHandler
      type: Voile.Input.InputSystem
    return:
      type: System.Boolean
    content.vb: Public Overrides Function IsDown(inputHandler As InputSystem) As Boolean
  overridden: Voile.Input.InputAction.IsDown(Voile.Input.InputSystem)
  overload: Voile.Input.KeyInputAction.IsDown*
- uid: Voile.Input.KeyInputAction.IsPressed(Voile.Input.InputSystem)
  commentId: M:Voile.Input.KeyInputAction.IsPressed(Voile.Input.InputSystem)
  id: IsPressed(Voile.Input.InputSystem)
  parent: Voile.Input.KeyInputAction
  langs:
  - csharp
  - vb
  name: IsPressed(InputSystem)
  nameWithType: KeyInputAction.IsPressed(InputSystem)
  fullName: Voile.Input.KeyInputAction.IsPressed(Voile.Input.InputSystem)
  type: Method
  source:
    remote:
      path: Voile/Source/Input/InputAction.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IsPressed
    path: Source/Input/InputAction.cs
    startLine: 22
  assemblies:
  - Voile
  namespace: Voile.Input
  example: []
  syntax:
    content: public override bool IsPressed(InputSystem inputHandler)
    parameters:
    - id: inputHandler
      type: Voile.Input.InputSystem
    return:
      type: System.Boolean
    content.vb: Public Overrides Function IsPressed(inputHandler As InputSystem) As Boolean
  overridden: Voile.Input.InputAction.IsPressed(Voile.Input.InputSystem)
  overload: Voile.Input.KeyInputAction.IsPressed*
- uid: Voile.Input.KeyInputAction.IsReleased(Voile.Input.InputSystem)
  commentId: M:Voile.Input.KeyInputAction.IsReleased(Voile.Input.InputSystem)
  id: IsReleased(Voile.Input.InputSystem)
  parent: Voile.Input.KeyInputAction
  langs:
  - csharp
  - vb
  name: IsReleased(InputSystem)
  nameWithType: KeyInputAction.IsReleased(InputSystem)
  fullName: Voile.Input.KeyInputAction.IsReleased(Voile.Input.InputSystem)
  type: Method
  source:
    remote:
      path: Voile/Source/Input/InputAction.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: IsReleased
    path: Source/Input/InputAction.cs
    startLine: 27
  assemblies:
  - Voile
  namespace: Voile.Input
  example: []
  syntax:
    content: public override bool IsReleased(InputSystem inputHandler)
    parameters:
    - id: inputHandler
      type: Voile.Input.InputSystem
    return:
      type: System.Boolean
    content.vb: Public Overrides Function IsReleased(inputHandler As InputSystem) As Boolean
  overridden: Voile.Input.InputAction.IsReleased(Voile.Input.InputSystem)
  overload: Voile.Input.KeyInputAction.IsReleased*
references:
- uid: Voile.Input
  commentId: N:Voile.Input
  href: Voile.html
  name: Voile.Input
  nameWithType: Voile.Input
  fullName: Voile.Input
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Input
    name: Input
    href: Voile.Input.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Input
    name: Input
    href: Voile.Input.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: Voile.Input.InputAction
  commentId: T:Voile.Input.InputAction
  parent: Voile.Input
  href: Voile.Input.InputAction.html
  name: InputAction
  nameWithType: InputAction
  fullName: Voile.Input.InputAction
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.Input.KeyInputAction.Key*
  commentId: Overload:Voile.Input.KeyInputAction.Key
  href: Voile.Input.KeyInputAction.html#Voile_Input_KeyInputAction_Key
  name: Key
  nameWithType: KeyInputAction.Key
  fullName: Voile.Input.KeyInputAction.Key
- uid: Voile.Input.KeyboardKey
  commentId: T:Voile.Input.KeyboardKey
  parent: Voile.Input
  href: Voile.Input.KeyboardKey.html
  name: KeyboardKey
  nameWithType: KeyboardKey
  fullName: Voile.Input.KeyboardKey
- uid: Voile.Input.KeyInputAction.#ctor*
  commentId: Overload:Voile.Input.KeyInputAction.#ctor
  href: Voile.Input.KeyInputAction.html#Voile_Input_KeyInputAction__ctor_Voile_Input_KeyboardKey_
  name: KeyInputAction
  nameWithType: KeyInputAction.KeyInputAction
  fullName: Voile.Input.KeyInputAction.KeyInputAction
  nameWithType.vb: KeyInputAction.New
  fullName.vb: Voile.Input.KeyInputAction.New
  name.vb: New
- uid: Voile.Input.InputAction.IsDown(Voile.Input.InputSystem)
  commentId: M:Voile.Input.InputAction.IsDown(Voile.Input.InputSystem)
  parent: Voile.Input.InputAction
  href: Voile.Input.InputAction.html#Voile_Input_InputAction_IsDown_Voile_Input_InputSystem_
  name: IsDown(InputSystem)
  nameWithType: InputAction.IsDown(InputSystem)
  fullName: Voile.Input.InputAction.IsDown(Voile.Input.InputSystem)
  spec.csharp:
  - uid: Voile.Input.InputAction.IsDown(Voile.Input.InputSystem)
    name: IsDown
    href: Voile.Input.InputAction.html#Voile_Input_InputAction_IsDown_Voile_Input_InputSystem_
  - name: (
  - uid: Voile.Input.InputSystem
    name: InputSystem
    href: Voile.Input.InputSystem.html
  - name: )
  spec.vb:
  - uid: Voile.Input.InputAction.IsDown(Voile.Input.InputSystem)
    name: IsDown
    href: Voile.Input.InputAction.html#Voile_Input_InputAction_IsDown_Voile_Input_InputSystem_
  - name: (
  - uid: Voile.Input.InputSystem
    name: InputSystem
    href: Voile.Input.InputSystem.html
  - name: )
- uid: Voile.Input.KeyInputAction.IsDown*
  commentId: Overload:Voile.Input.KeyInputAction.IsDown
  href: Voile.Input.KeyInputAction.html#Voile_Input_KeyInputAction_IsDown_Voile_Input_InputSystem_
  name: IsDown
  nameWithType: KeyInputAction.IsDown
  fullName: Voile.Input.KeyInputAction.IsDown
- uid: Voile.Input.InputSystem
  commentId: T:Voile.Input.InputSystem
  parent: Voile.Input
  href: Voile.Input.InputSystem.html
  name: InputSystem
  nameWithType: InputSystem
  fullName: Voile.Input.InputSystem
- uid: System.Boolean
  commentId: T:System.Boolean
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.boolean
  name: bool
  nameWithType: bool
  fullName: bool
  nameWithType.vb: Boolean
  fullName.vb: Boolean
  name.vb: Boolean
- uid: Voile.Input.InputAction.IsPressed(Voile.Input.InputSystem)
  commentId: M:Voile.Input.InputAction.IsPressed(Voile.Input.InputSystem)
  parent: Voile.Input.InputAction
  href: Voile.Input.InputAction.html#Voile_Input_InputAction_IsPressed_Voile_Input_InputSystem_
  name: IsPressed(InputSystem)
  nameWithType: InputAction.IsPressed(InputSystem)
  fullName: Voile.Input.InputAction.IsPressed(Voile.Input.InputSystem)
  spec.csharp:
  - uid: Voile.Input.InputAction.IsPressed(Voile.Input.InputSystem)
    name: IsPressed
    href: Voile.Input.InputAction.html#Voile_Input_InputAction_IsPressed_Voile_Input_InputSystem_
  - name: (
  - uid: Voile.Input.InputSystem
    name: InputSystem
    href: Voile.Input.InputSystem.html
  - name: )
  spec.vb:
  - uid: Voile.Input.InputAction.IsPressed(Voile.Input.InputSystem)
    name: IsPressed
    href: Voile.Input.InputAction.html#Voile_Input_InputAction_IsPressed_Voile_Input_InputSystem_
  - name: (
  - uid: Voile.Input.InputSystem
    name: InputSystem
    href: Voile.Input.InputSystem.html
  - name: )
- uid: Voile.Input.KeyInputAction.IsPressed*
  commentId: Overload:Voile.Input.KeyInputAction.IsPressed
  href: Voile.Input.KeyInputAction.html#Voile_Input_KeyInputAction_IsPressed_Voile_Input_InputSystem_
  name: IsPressed
  nameWithType: KeyInputAction.IsPressed
  fullName: Voile.Input.KeyInputAction.IsPressed
- uid: Voile.Input.InputAction.IsReleased(Voile.Input.InputSystem)
  commentId: M:Voile.Input.InputAction.IsReleased(Voile.Input.InputSystem)
  parent: Voile.Input.InputAction
  href: Voile.Input.InputAction.html#Voile_Input_InputAction_IsReleased_Voile_Input_InputSystem_
  name: IsReleased(InputSystem)
  nameWithType: InputAction.IsReleased(InputSystem)
  fullName: Voile.Input.InputAction.IsReleased(Voile.Input.InputSystem)
  spec.csharp:
  - uid: Voile.Input.InputAction.IsReleased(Voile.Input.InputSystem)
    name: IsReleased
    href: Voile.Input.InputAction.html#Voile_Input_InputAction_IsReleased_Voile_Input_InputSystem_
  - name: (
  - uid: Voile.Input.InputSystem
    name: InputSystem
    href: Voile.Input.InputSystem.html
  - name: )
  spec.vb:
  - uid: Voile.Input.InputAction.IsReleased(Voile.Input.InputSystem)
    name: IsReleased
    href: Voile.Input.InputAction.html#Voile_Input_InputAction_IsReleased_Voile_Input_InputSystem_
  - name: (
  - uid: Voile.Input.InputSystem
    name: InputSystem
    href: Voile.Input.InputSystem.html
  - name: )
- uid: Voile.Input.KeyInputAction.IsReleased*
  commentId: Overload:Voile.Input.KeyInputAction.IsReleased
  href: Voile.Input.KeyInputAction.html#Voile_Input_KeyInputAction_IsReleased_Voile_Input_InputSystem_
  name: IsReleased
  nameWithType: KeyInputAction.IsReleased
  fullName: Voile.Input.KeyInputAction.IsReleased
